Subject: Re: [PATCH v2 net-next] ipv6: avoid atomic fragment on GSO packets

From: Florian Westphal <[email-masked]>
Date: Tue, 17 Oct 2023 22:02:07 +0200

Yan Zhai <[email-masked]> wrote:
> Refactor __ip6_finish_output code to separate GSO and non-GSO packet
> processing. It mirrors __ip_finish_output logic now. Add an extra check
> in GSO handling to avoid atomic fragments. Lastly, drop dst_allfrag
> check, which is no longer true since commit 9d289715eb5c ("ipv6: stop
> sending PTB packets for MTU < 1280").

> -	if ((skb->len > mtu && !skb_is_gso(skb)) ||
> -	    dst_allfrag(skb_dst(skb)) ||

My preference is to first remove dst_allfrag, i.e. do this in
a separate change.